[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.OnCustomCreateItem

OnCustomCreateItem - event handler for custom item creation.

## Declaration

Source position: comctrls.pp line 3674

`protected property TCustomTreeView.OnCustomCreateItem : TTVCustomCreateNodeEvent read FOnCustomCreateItem write FOnCustomCreateItem;`

## See also

TCustomTreeView.CreateNode |  | CreateNode - creates a new node in a TreeView and returns its content.
TCustomTreeView.Items |  | The container with the TTreeNode instances for the control.
TCustomTreeView.OnCreateNodeClass |  | Event handler signalled to get the class reference used to create new tree nodes.